import {
  generateDocumentation,
  renderMarkdownToHast
} from "../chunk-ESYFMJFA.js";

// src/ui/auto-type-table.tsx
import { TypeTable } from "fumadocs-ui/components/type-table";
import { toJsxRuntime } from "hast-util-to-jsx-runtime";
import * as runtime from "react/jsx-runtime";
import "server-only";
import { jsx as jsx2 } from "react/jsx-runtime";
function AutoTypeTable({
  path,
  name,
  options
}) {
  const output = generateDocumentation(path, name, options);
  if (!output)
    throw new Error(`${name} in ${path} doesn't exist`);
  return /* @__PURE__ */ jsx2(
    TypeTable,
    {
      type: Object.fromEntries(
        output.entries.map((entry) => [
          entry.name,
          {
            type: entry.type,
            description: renderMarkdown(entry.description),
            default: entry.tags.default || entry.tags.defaultValue
          }
        ])
      )
    }
  );
}
function renderMarkdown(md) {
  return toJsxRuntime(renderMarkdownToHast(md), {
    Fragment: runtime.Fragment,
    jsx: runtime.jsx,
    jsxs: runtime.jsxs
  });
}
export {
  AutoTypeTable
};
